<template>
  <section class="mt-box-notification">
    <article>
      <h2 class="is-size-5 has-text-weight-bold is-uppercase">Activer les notifications</h2>
      <label class="is-size-7"
        >Vous pouvez choisir de recevoir toutes les notifications ou bien celles que vous souhaitez recevoir.</label
      >
    </article>
    <article v-for="(typeActivite, index) in appTypesActivites" :key="index" class="position">
      <type-notification
        :notification="searchNotificationByActivite(typeActivite)"
        :type-activite="typeActivite"
        @update-notification="updateNotif"
      ></type-notification>
    </article>
  </section>
</template>
<script>
import TypeNotification from '~/components/utilisateur/type-notification';

export default {
  name: 'MtFicheUtilisateurNotification',
  components: {
    TypeNotification,
  },
  props: {
    listNotification: {
      type: Array,
      default: () => ({}),
    },
  },
  methods: {
    searchNotificationByActivite(typeActivite) {
      return this.listNotification.find((notification) => notification.idTypeActivite === typeActivite.id);
    },
    searchNotificationById(newNotif) {
      return this.listNotification.find((notification) => notification.id === newNotif.id);
    },
    updateNotif(newNotif) {
      let notifTemp = this.searchNotificationById(newNotif);
      notifTemp = newNotif;
      return notifTemp;
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';

.mt-box-notification {
  border-radius: $border-radius;
  box-shadow: 0 2px 8px -1px rgba(102, 110, 232, 0.2);
  background-color: $white;
  padding: 0.5rem;
}

.position {
  margin-top: 1rem;
  margin-left: 1rem;
}

label {
  color: $brown-grey;
  font-size: small;
}
</style>
